org.eclipse.ease.lang.unittest.runtime

## Interface ITestFolder

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ITestContainer, ITestEntity, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TestFolder

    public interface ITestFolder
    extends ITestContainer

A representation of the model object 'Test Folder'.

See Also:
  `IRuntimePackage.getTestFolder()`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Method Summary

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestContainer

`getChildContainers, getChildren, getCopyOfChildren, getResource, getTest, setResource`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`addError, getDescription, getDuration, getEndTimestamp, getEntityStatus, getEstimatedDuration, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getStatus, getTestSuite, getWorstResult, hasError, isDisabled, isTerminated, reset, run, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEstimatedDuration, setName, setParent, setStartTimestamp, setTerminated`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`